- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Interfaces::DiscreteValue Class Reference

`#include <DiscreteValue.h>`

Inheritance diagram for Mers::Interfaces::DiscreteValue:

[legend]
Collaboration diagram for Mers::Interfaces::DiscreteValue:

[legend]
List of all members.

## Public Member Functions
| DiscreteValue (DiscreteVariable *variable, const char *name)
virtual | ~DiscreteValue ()
const char * | getName () const
DiscreteVariable * | getVariable () const
## Protected Attributes
char * | mName
| The variable's name.
DiscreteVariable * | mVariable
| Our variable.

## Detailed Description

A class that describes a discrete value.

Author:
  Paul H. Elliott

Definition at line 28 of file DiscreteValue.h.

## Constructor & Destructor Documentation

DiscreteValue::DiscreteValue | ( | DiscreteVariable * | variable,
|  | const char * | name |
| ) |  |  |

Constructs a new named discrete value.

Parameters:

  | variable | The discrete variable that this value belongs to.
  | name | The name of the value.

Definition at line 25 of file DiscreteValue.cpp.

References mName.

DiscreteValue::~DiscreteValue | ( |  | ) | `[virtual]`

Destroys this object.

Reimplemented in Mers::Executives::DeductiveController::DiscreteValue, and Mers::Executives::DeductiveController::Observation::DiscreteValue.

Definition at line 33 of file DiscreteValue.cpp.

References mName.

## Member Function Documentation

const char * DiscreteValue::getName | ( |  | ) | const

Returns the name of this Value.

Returns:
  The string representing the value.

Definition at line 41 of file DiscreteValue.cpp.

References mName.

Referenced by Mers::Executives::DeductiveController::Observation::DiscreteObservationConverter::observe().

DiscreteVariable * DiscreteValue::getVariable | ( |  | ) | const

Returns the variable associated with this value.

Returns:
  The variable to which this value belongs.

Reimplemented in Mers::Executives::DeductiveController::DiscreteValue.

Definition at line 48 of file DiscreteValue.cpp.

References mVariable.

Referenced by Mers::Interfaces::ObservationInterface::isCurrentState().

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Interfaces/DiscreteValue.h
- /Users/fpy/titan-1-5-MBARI/Mers/Interfaces/DiscreteValue.cpp